Que faire pour que mon site marchand soit compatible avec 3D Secure v2?

Tout dépend de votre implémentation :

Type d'intégration Impact Détail de l'impact
1 Paiement via API formulaire Mineur

Sans aucune modification, votre implémentation actuelle est compatible avec 3D Secure v2, même si vous affichez la page de paiement dans une iframe.

Un champ a été ajouté dans la réponse et dans l’IPN  : vads_threeds_auth_type.

Il permet de connaître le type d'authentification réalisée (Challenge ou frictionless).

2 Paiement via iframe
3 Paiement par champs embarqués (Client JavaScript) Mineur

Sans aucune modification, votre implémentation actuelle est compatible avec 3D Secure v2.

Un champ a été ajouté dans la réponse et dans l’IPN :

cardDetails.authenticationResponse.value.authenticationType

Il permet de connaître le type d'authentification réalisée (Challenge ou Frictionless).

4 CMS Mineur

Nos modules de paiement utilisent les solutions 1, 2 ou 3.

Sans aucune modification, votre implémentation actuelle est compatible avec 3D Secure v2.

5 Web Services REST Élevé

La mise en œuvre de l'authentification 3D Secure est de la responsabilité du marchand. Elle requiert une bonne maîtrise du JavaScript pour l'affichage de la pop-in d'authentification et le traitement des différents événements (instructions ou résultat 3D Secure).

Consultez la documentation du Service de paiement PCI pour plus d'informations.

6 Web Services SOAP Majeur

Arrêt programmé de la solution.

Une migration vers les solutions 1 à 3 est requise. La migration vers la solution 5 est possible mais beaucoup plus complexe.